from pygame import Rect

class Scene:
    def __init__(self, image_file, text_rect, image_rect):
        self.image_file = image_file
        self.text_rect = text_rect
        self.image_rect = image_rect

scenes = { 
        "default": Scene('images/scenes/sitting_color.png', Rect(160,46,209,265), Rect(415, 69, 201, 200)),
        "cafe": Scene('images/scenes/cafe_color.png', Rect(82, 83, 220, 328), Rect(328, 92, 214, 294)),
        "walking": Scene('images/scenes/walking.png', Rect(101, 68, 207,285), Rect(353, 74, 192, 275)),
        "hospital": Scene('images/scenes/hospital_color.png', Rect(155, 62, 205, 346), Rect(397, 63, 178, 346)),
        "school": Scene('images/scenes/school_color.png', Rect(129, 54, 238, 354), Rect(397,67, 238, 340)),
        "bos": Scene('images/scenes/bus.png', Rect(95, 54, 231, 362), Rect(367, 71, 238, 214)),
        }
