#ensure we use 32bit under osx
import os
import platform
import sys
from optparse import OptionParser

# this is problematic in some circumstances; commenting it out until we know
# whether we need it:
#osx32key = 'VERSIONER_PYTHON_PREFER_32_BIT';
#if platform.system() == 'Darwin' and (not os.environ.has_key(osx32key) or os.environ[osx32key] != 'yes'):
#    os.environ[osx32key] = 'yes'
#    os.system('python run_game.py')
#    sys.exit(0)

parser = OptionParser()
parser.add_option("-d", "--debug", dest="debug", action="store_true", default=False,
                  help="start game in developer mode")

parser.add_option("-b", "--begin",
                  action="store", type="string", dest="begin_sentence", default=None)

parser.add_option("-f", "--fullscreen", dest="fullscreen", action="store_true", default=False)
parser.add_option("-n", "--newgame", dest="newgame", action="store_true", default=False)

parser.add_option("-N", "--newgraphics", dest="newgrf", action="store_true", default=False)

options, args = parser.parse_args()

if args and os.path.exists(args[0]):
    story_file = args[0]
else:
    story_file = "story/isistale.txt"

import gregor.game

game = gregor.game.Game(story_file, options.debug, options.begin_sentence,
  fullscreen=options.fullscreen, newgame=options.newgame,
  newGraphics=options.newgrf)
game.run()
